package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridInterview;
import com.ruoyi.system.domain.grid.GridInterviewExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GridInterviewMapper {
    long countByExample(GridInterviewExample example);

    int deleteByExample(GridInterviewExample example);

    int deleteByPrimaryKey(String id);

    int insert(GridInterview record);

    int insertSelective(GridInterview record);

    List<GridInterview> selectByExample(GridInterviewExample example);

    GridInterview selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") GridInterview record, @Param("example") GridInterviewExample example);

    int updateByExample(@Param("record") GridInterview record, @Param("example") GridInterviewExample example);

    int updateByPrimaryKeySelective(GridInterview record);

    int updateByPrimaryKey(GridInterview record);
}
